Loading...
Searching...
No Matches
Card information
Public API functions » Port initialisation
Collaboration diagram for Card information:

## Topics

| Port control

## Classes

struct | VPB_CARD_INFO
| Container type for data returned by `vpb_get_card_info()`. More...

## Functions

const char *WINAPI | vpb_get_driver_version ()
| Return the driver version as a string.
void WINAPI | vpb_get_driver_version (int *major, int *minor, int *patchlevel)
| Return the driver version as major, minor, and patchlevel components.
int WINAPI | vpb_get_num_cards ()
| Return the number of cards in the system.
int WINAPI | vpb_get_ports_per_card (int board)
| Return the number of ports on board.
int WINAPI | vpb_get_card_info (int board, VPB_CARD_INFO *detail)
| Return detail of the card model and revision for board.
std::string WINAPI | vpb_get_model (VPBPortHandle handle)
| Return a string indicating the board model.
int WINAPI | vpb_get_model (VPBPortHandle handle, char *str)
| Return a string indicating the board model.
const char *WINAPI | vpb_model_desc (VPB_MODEL model)
| Return a descriptive string for a `VPB_MODEL` type.
VPB_MODEL WINAPI | vpb_get_card_type (VPBPortHandle handle)
| Return the board model type for handle.
VPB_PORT WINAPI | vpb_get_port_type (VPBPortHandle handle)
| Return the `VPB_PORT` type for handle.

## Deprecated functions

| VT_DEPRECATED (int WINAPI vpb_get_type(int h))
| VT_DEPRECATED (int WINAPI vpb_get_ports_per_card())
| VT_DEPRECATED (int WINAPI vpb_get_model(char *s))
| VT_DEPRECATED (int WINAPI vpb_is_station(int handle))
| VT_DEPRECATED (int WINAPI vpb_bridge(int h1, int h2, BridgeMode mode, int resource))

## Detailed Description

## Function Documentation

## vpb_get_model() [1/2]

std::string WINAPI vpb_get_model | ( | VPBPortHandle | handle | ) |

Return a string indicating the board model.

Parameters

  handle | The handle to a port on the board to query.

Returns
  The model string.

Exceptions

  VpbException | will be thrown if the handle is invalid.

Note
  You should not rely on any particular value to be returned by this function, it is intended for user friendly output only. If you need to check the model programmatically, use the `vpb_get_card_type()` function instead.

References CheckHandle(), and get_board_model().

## vpb_get_model() [2/2]

int WINAPI vpb_get_model | ( | VPBPortHandle | handle,
|  | char * | str )

Return a string indicating the board model.

Parameters

  handle | The handle to a port on the board to query.
  str | The returned model string.

Returns
  `VPB_OK` if the handle is valid.

Exceptions

  VpbException | may be thrown if the handle is invalid.

Note
  You should not rely on any particular value to be returned by this function, it is intended for user friendly output only. If you need to check the model programmatically, use the `vpb_get_card_type()` function instead.

References CheckHandle(), and get_board_model().

## vpb_get_num_cards()

int WINAPI vpb_get_num_cards | ( |  | ) |

Return the number of cards in the system.

Note
  This function may be called prior to `vpb_open()`.

References numboards.

Referenced by get_total_port_count().

## vpb_get_ports_per_card()

int WINAPI vpb_get_ports_per_card | ( | int | board | ) |

Return the number of ports on board.

Parameters

  board | The board number, starting from 0.

Note
  This function may be called prior to `vpb_open()`.

References vpb_c.

Referenced by get_total_port_count().

## VT_DEPRECATED() [1/5]

VT_DEPRECATED | ( | int WINAPI | vpb_bridgeint h1, int h2, BridgeMode mode, int resource | ) |

This function is deprecated. Use the more descriptively named and type-safe `vpb_get_card_type()` function instead.

## VT_DEPRECATED() [2/5]

VT_DEPRECATED | ( | int WINAPI | vpb_get_modelchar *s | ) |

This function is deprecated. Use the version that takes a handle argument as well in order to know which card the model is returned for.

## VT_DEPRECATED() [3/5]

VT_DEPRECATED | ( | int WINAPI | vpb_get_ports_per_card() | ) |

This function is deprecated. Use the version that takes a board argument in order to know which card to query for.

## VT_DEPRECATED() [4/5]

VT_DEPRECATED | ( | int WINAPI | vpb_get_typeint h | ) |

This function is deprecated. Use the more descriptively named and type-safe `vpb_get_card_type()` function instead.

## VT_DEPRECATED() [5/5]

VT_DEPRECATED | ( | int WINAPI | vpb_is_stationint handle | ) |

This function is deprecated from the public api as it is redundant. Use the `vpb_get_port_type()` function instead.